What version of arm-none-eabi-gcc do you use to build OpenMV3 firmware?

Hi, all
I’ve tried gcc-arm-none-eabi_5_2-2015q4, gcc-arm-none-eabi_5_4-2016q2, gcc-arm-none-eabi_5_4-2016q3 to build OpenMV3 firmware but all failed.
The compilers complained “src/st/startup_stm32f765xx.s:47: Error: unknown cpu `cortex-m7’”.

So, What version of arm-none-eabi-gcc should I use and where can I get one ?

Thank you guys!

Hi, I’ve not encountered that error. Did you follow this: https://github.com/openmv/openmv/wiki/Firmware-Development

I’m using 2016-q3 you can get it from here: https://developer.arm.com/open-source/gnu-toolchain/gnu-rm/downloads

Try this:

arm-none-eabi-gcc -fsyntax-only -mcpu=cortex-m7 -mthumb -xc /dev/null

If your toolchain doesn’t support M7 you’ll get an error something like unrecognized argument... which means you have the wrong toolchain in path.

Hi, I think I made a mistake. The gcc-arm-none-eabi-5_4-2016q3 toolchain is just OK.

Thanks to both of you.